### Method

# Gegl Color set_rgba_with_space

#### Declaration [src]

    void
    gegl_color_set_rgba_with_space (
      GeglColor* color,
      gdouble red,
      gdouble green,
      gdouble blue,
      gdouble alpha,
      const Babl* space
    )

#### Description [src]

Set color as RGBA data stored as `space`. If `space` is `NULL`, this is equivalent to storing as sRGB.

#### Parameters

`red`

  Type: `gdouble`

  Red value.

`green`

  Type: `gdouble`

  Green value.

`blue`

  Type: `gdouble`

  Blue value.

`alpha`

  Type: `gdouble`

  Alpha value.

`space`

  Type: `Babl`

  RGB space.

  The data is owned by the caller of the function.